<template>
  <div class="main-wrapper">
    <section class="intro-section">
      <div class="inner-intro">
        <div class="intro-column">
          <div class="intro-content">
            <img loading="lazy" src="https://cdn.builder.io/api/v1/image/assets/TEMP/25f14e6c2fe02a8131e38a0b8a81794500699e6b9167c653ab11decc046bf46b?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="Introductory Image" class="intro-image" />
            <div class="intro-text">
              Hey, you can take this<br />screen UI, CSS, Swift and <br />Android code for free
            </div>
          </div>
        </div>
        <div class="form-column">
          <div class="form-container">
            <div class="form-header">Bluebaycreaters</div>
            <h2 class="form-title">Register your account</h2>
            <form>
              <label for="emailInput" class="form-label">Email</label>
              <input type="email" id="emailInput" placeholder="Please enter your email" aria-label="Please enter your email" class="form-input" />
              
              <label for="passwordInput" class="form-label">Password</label>
              <input type="password" id="passwordInput" placeholder="Please enter your password" aria-label="Please enter your password" class="form-input" />

              <label for="confirmPasswordInput" class="form-label">Confirm Password</label>
              <input type="password" id="confirmPasswordInput" placeholder="Confirm your password" aria-label="Confirm your password" class="form-input" />

              <div class="form-actions">
                <span class="form-note">Already Registered?</span>
                <button type="submit" class="form-submit">Submit</button>
              </div>
            </form>
            <div class="form-note">Hey!! This design is absolutely free for you.</div>
          </div>
        </div>
      </div>
    </section>
  </div>
</template>

<style scoped>
.main-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 1px 0;
}
.intro-section {
  background-color: #fffdfd;
  width: 100%;
  padding: 1px 0;
}
@media (max-width: 991px) {
  .intro-section {
    max-width: 100%;
  }
}
.inner-intro {
  display: flex;
  gap: 20px;
}
@media (max-width: 991px) {
  .inner-intro {
    flex-direction: column;
    align-items: stretch;
    gap: 0;
  }
}
.intro-column {
  display: flex;
  flex-direction: column;
  line-height: normal;
  width: 50%;
  margin-left: 0;
}
@media (max-width: 991px) {
  .intro-column {
    width: 100%;
  }
}
.intro-content {
  display: flex;
  flex-direction: column;
  overflow: hidden;
  position: relative;
  min-height: 1080px;
  flex-grow: 1;
  font-size: 40px;
  color: #fffdfd;
  font-weight: 700;
  text-align: center;
  justify-content: center;
}
@media (max-width: 991px) {
  .intro-content {
    max-width: 100%;
    margin-top: 40px;
  }
}
.intro-image {
  position: absolute;
  inset: 0;
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: center;
}
.intro-text {
  position: relative;
  font-family: Poppins, sans-serif;
  background-color: rgba(52, 133, 255, 0.3);
  align-items: center;
  justify-content: center;
  padding: 483px 60px 356px;
}
@media (max-width: 991px) {
  .intro-text {
    max-width: 100%;
    padding: 40px 20px;
  }
}
.form-column {
  display: flex;
  flex-direction: column;
  line-height: normal;
  width: 50%;
  margin-left: 20px;
}
@media (max-width: 991px) {
  .form-column {
    width: 100%;
  }
}
.form-container {
  display: flex;
  flex-direction: column;
  align-items: end;
  margin: auto 0;
  padding: 0 20px;
}
@media (max-width: 991px) {
  .form-container {
    max-width: 100%;
    margin-top: 40px;
  }
}
.form-header {
  color: #000;
  font: 400 30px Poppins, sans-serif;
}
@media (max-width: 991px) {
  .form-header {
    margin-right: 10px;
  }
}
.form-title {
  color: #3e4772;
  align-self: stretch;
  margin-top: 44px;
  font: 700 60px Poppins, sans-serif;
}
@media (max-width: 991px) {
  .form-title {
    max-width: 100%;
    margin-top: 40px;
    font-size: 40px;
  }
}
.form-label {
  color: #000;
  margin-top: 29px;
  font: 400 30px Poppins, sans-serif;
}
@media (max-width: 991px) {
  .form-label {
    margin-right: 10px;
  }
}
.form-input {
  border-radius: 30px;
  background-color: #f1f1f1;
  width: 100%;
  margin-top: 20px;
  color: rgba(0, 0, 0, 0.2);
  padding: 30px 60px;
  font: 400 30px Poppins, sans-serif;
}
@media (max-width: 991px) {
  .form-input {
    padding: 0 20px;
  }
}
.form-actions {
  display: flex;
  margin-top: 66px;
  gap: 20px;
}
@media (max-width: 991px) {
  .form-actions {
    flex-wrap: wrap;
    margin: 40px 10px 0 0;
  }
}
.form-note {
  color: #494f7a;
  flex-grow: 1;
  margin: auto 0;
  font: 400 25px Poppins, sans-serif;
  text-align: center;
}
.form-submit {
  border-radius: 30px;
  background-color: #2e375d;
  color: #fff;
  justify-content: center;
  flex-grow: 1;
  width: fit-content;
  padding: 24px 60px;
  font: 700 35px Poppins, sans-serif;
}
@media (max-width: 991px) {
  .form-submit {
    white-space: initial;
    padding: 0 24px;
  }
}
</style>